### Hierarchy

- FaceLandmarks
  - FaceLandmarks5
  - FaceLandmarks68

### Implements

- IFaceLandmarks

## Index

### Constructors

- constructor

### Accessors

- imageHeight
- imageWidth
- positions
- relativePositions
- shift

### Methods

- align
- forSize
- shiftBy
- shiftByPoint

## Constructors

### constructor

- new FaceLandmarks(relativeFaceLandmarkPositions: Point[], imgDims: IDimensions, shift?: Point): FaceLandmarks

- - Defined in classes/FaceLandmarks.ts:25

  #### Parameters

  - ##### relativeFaceLandmarkPositions: Point[]

  - ##### imgDims: IDimensions

  - ##### shift: Point = ...

  #### Returns FaceLandmarks

## Accessors

### imageHeight

- get imageHeight(): number

- - Defined in classes/FaceLandmarks.ts:44

  #### Returns number

### imageWidth

- get imageWidth(): number

- - Defined in classes/FaceLandmarks.ts:42

  #### Returns number

### positions

- get positions(): Point[]

- Implementation of IFaceLandmarks.positions

  - Defined in classes/FaceLandmarks.ts:46

  #### Returns Point[]

### relativePositions

- get relativePositions(): Point[]

- - Defined in classes/FaceLandmarks.ts:48

  #### Returns Point[]

### shift

- get shift(): Point

- Implementation of IFaceLandmarks.shift

  - Defined in classes/FaceLandmarks.ts:40

  #### Returns Point

## Methods

### align

- align(detection?: null | IRect | IBoundingBox | FaceDetection, options?: { minBoxPadding?: number; useDlibAlignment?: boolean }): Box<any>

- - Defined in classes/FaceLandmarks.ts:84

  Aligns the face landmarks after face detection from the relative positions of the faces bounding box, or it's current shift. This function should be used to align the face images after face detection has been performed, before they are passed to the face recognition net. This will make the computed face descriptor more accurate.

  #### Parameters

  - ##### Optional detection: null | IRect | IBoundingBox | FaceDetection

    (optional) The bounding box of the face or the face detection result. If no argument was passed the position of the face landmarks are assumed to be relative to it's current shift.

  - ##### options: { minBoxPadding?: number; useDlibAlignment?: boolean } = {}

    - ##### Optional minBoxPadding?: number

    - ##### Optional useDlibAlignment?: boolean

  #### Returns Box<any>

  The bounding box of the aligned face.

### forSize

- forSize<T>(width: number, height: number): T

- - Defined in classes/FaceLandmarks.ts:54

  #### Type parameters

  - #### T: FaceLandmarks<T>

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns T

### shiftBy

- shiftBy<T>(x: number, y: number): T

- - Defined in classes/FaceLandmarks.ts:61

  #### Type parameters

  - #### T: FaceLandmarks<T>

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns T

### shiftByPoint

- shiftByPoint<T>(pt: Point): T

- - Defined in classes/FaceLandmarks.ts:69

  #### Type parameters

  - #### T: FaceLandmarks<T>

  #### Parameters

  - ##### pt: Point

  #### Returns T